Bug 1356994 (CVE-2016-3610) - CVE-2016-3610 OpenJDK: insufficient value count check in MethodHandles.filterReturnValue() (Libraries, 8158571)
Summary: CVE-2016-3610 OpenJDK: insufficient value count check in MethodHandles.filter...
Status: CLOSED ERRATA
Alias: CVE-2016-3610
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20160719,repor...
Keywords: Security
Depends On:
Blocks: 1350028
TreeView+ depends on / blocked
 
Reported: 2016-07-15 12:55 UTC by Tomas Hoger
Modified: 2019-06-08 21:20 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-08-24 19:23:45 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1458 normal SHIPPED_LIVE Critical: java-1.8.0-openjdk security update 2016-07-20 16:11:36 UTC
Red Hat Product Errata RHSA-2016:1475 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-14 21:39:19 UTC
Red Hat Product Errata RHSA-2016:1504 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2016-09-16 11:11:24 UTC

Description Tomas Hoger 2016-07-15 12:55:53 UTC
It was discovered that the filterReturnValue() method of the MethodHandles in the Libraries component of OpenJDK did not properly check filter MethodHandle parameter count. An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.

Comment 1 Tomas Hoger 2016-07-20 07:44:16 UTC
Public now via Oracle CPU July 2016, fixed in Oracle JDK 8u101.

External References:

http://www.oracle.com/technetwork/security-advisory/cpujul2016-2881720.html#AppendixJAVA

Comment 2 Tomas Hoger 2016-07-20 09:38:17 UTC
OpenJDK 8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/3eab3ce82c31

Comment 3 errata-xmlrpc 2016-07-20 12:13:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2016:1458 https://access.redhat.com/errata/RHSA-2016:1458

Comment 4 errata-xmlrpc 2016-07-21 10:22:03 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2016:1475 https://access.redhat.com/errata/RHSA-2016:1475

Comment 5 errata-xmlrpc 2016-07-27 11:43:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2016:1504 https://rhn.redhat.com/errata/RHSA-2016-1504.html


Note You need to log in before you can comment on or make changes to this bug.